%define upstream_name    Term-ShellUI
%define upstream_version 0.92

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Parse a string into tokens
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Term::ShellUI uses the history and autocompletion features of the
Term::ReadLine manpage to present a sophisticated command-line interface to
the user. It tries to make every feature that one would expect to see in a
fully interactive shell trivial to implement. You simply declare your
command set and let ShellUI take care of the heavy lifting.

This module was previously called the Term::GDBUI manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.920.0-6.mga10
+ Revision: 2200780
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.920.0-5.mga9
+ Revision: 1806030
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.920.0-4.mga8
+ Revision: 1497306
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.920.0-3.mga7
+ Revision: 1271641
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.920.0-2.mga6
+ Revision: 1034008
- Rebuild for perl 5.22.2

* Sun Mar 06 2016 neoclust <neoclust> 0.920.0-1.mga6
+ Revision: 986382
- imported package perl-Term-ShellUI


* Sun Mar 06 2016 cpan2dist 0.92-1mga
- initial mageia release, generated with cpan2dist
